Page MenuHomePhabricator

Write PHP-Queue module for new backend
Closed, InvalidPublic

Description

This should probably be written as two modules, one for the producer and another for the consumer, since they use different types of connection. It's questionable whether PHP-Queue is a healthy layer. There's only a benefit if it's easy to swap out Kafka for another queue provider, so avoid creating any new custom APIs, or if we do, implement these functions for the other queues.

Event Timeline

awight created this task.Mar 30 2016, 6:25 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:52 PM
awight renamed this task from Write PHP-Queue module for Kafka to Write PHP-Queue module for new backend.Apr 22 2016, 5:54 PM

Change 280158 had a related patch set uploaded (by Awight):
[WIP] Kafka backend

https://gerrit.wikimedia.org/r/280158

Change 284977 had a related patch set uploaded (by Awight):
[WIP] Playing with the FIFO API

https://gerrit.wikimedia.org/r/284977

awight claimed this task.Apr 22 2016, 11:01 PM

Change 284977 merged by jenkins-bot:
New interface for atomic reads

https://gerrit.wikimedia.org/r/284977

awight closed this task as Invalid.Jul 15 2016, 12:53 AM

These are already implemented for Predis + Redis.

Change 280158 abandoned by Awight:
[WIP] Kafka backend

https://gerrit.wikimedia.org/r/280158

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM